Acknowledge or reconsider a retrieval restriction
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/audit/retrieval-intent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auditRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "<string>",
"urls": [
"<string>"
],
"confirmedIntent": true
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/audit/retrieval-intent"
payload = {
"auditRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "<string>",
"urls": ["<string>"],
"confirmedIntent": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auditRunId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
findingId: '<string>',
urls: ['<string>'],
confirmedIntent: true
})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/audit/retrieval-intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Acknowledge or reconsider a retrieval restriction
Records explicit customer intent for exact URLs displayed in the stored audit finding. Preserves restrictions, evidence and score. Requires management permission and actions.write.
POST
/
projects
/
{projectId}
/
audit
/
retrieval-intent
Acknowledge or reconsider a retrieval restriction
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Body
application/json
Required string length:
1 - 200Required array length:
1 - 4 elementsMaximum string length:
2048Available options:
acknowledge, reconsider Available options:
true Response
Intent updated without changing the audit score or evidence